{ config, lib, pkgs, ... }:

let cfg = config.sydnix.desktop-environment;
in {
  options.sydnix.desktop-environment = {
    enable = lib.mkEnableOption "basic desktop environment stuff";
  };

  config = lib.mkIf cfg.enable {
    home.packages = [
      # Graphical file browser.
      pkgs.nautilus
      # Provides video thumbnails for Nautilus.
      pkgs.ffmpegthumbnailer
      # Image viewer.
      pkgs.loupe
      # Video player.
      pkgs.vlc
    ];
  };
}
